Browse Source

pārsaukts playstreamproxy

Salabots filmix
Ivars 8 years ago
parent
commit
a739c9f4de
7 changed files with 346 additions and 429 deletions
  1. 318
    412
      PlayStream.wpr
  2. 16
    16
      imake.bat
  3. 9
    0
      playstreamproxy
  4. 1
    0
      playstreamproxy.bat
  5. 0
    0
      playstreamproxy.py
  6. BIN
      release/enigma2-plugin-extensions-playstream_0.5k.ipk
  7. 2
    1
      sources/filmix.py

+ 318
- 412
PlayStream.wpr
File diff suppressed because it is too large
View File


+ 16
- 16
imake.bat View File

2
 :=== Parameters ===
2
 :=== Parameters ===
3
 
3
 
4
 if ()==(%1%) (
4
 if ()==(%1%) (
5
-    set ver=0.5k
5
+    set ver=0.5l
6
 	rem echo Please provide version
6
 	rem echo Please provide version
7
 	rem pause
7
 	rem pause
8
 	rem GOTO:EOF
8
 	rem GOTO:EOF
72
 picons\*.*
72
 picons\*.*
73
 ) do echo f | xcopy /y /q %%f %ipk_dir%data\%ext_dir%%prog%\%%f
73
 ) do echo f | xcopy /y /q %%f %ipk_dir%data\%ext_dir%%prog%\%%f
74
 
74
 
75
-xcopy /y /q streamproxy %ipk_dir%data\etc\init.d\
75
+xcopy /y /q playstreamproxy %ipk_dir%data\etc\init.d\
76
 
76
 
77
 :=== control file ===
77
 :=== control file ===
78
 mkdir %ipk_dir%CONTROL\
78
 mkdir %ipk_dir%CONTROL\
100
 :echo   rm -rf %ext_dir2%%prog%/sources/*.py* ^> /dev/null 2^>^&1
100
 :echo   rm -rf %ext_dir2%%prog%/sources/*.py* ^> /dev/null 2^>^&1
101
 :echo   rm -rf %ext_dir2%%prog%/resolvers/*.py* ^> /dev/null 2^>^&1
101
 :echo   rm -rf %ext_dir2%%prog%/resolvers/*.py* ^> /dev/null 2^>^&1
102
 :echo fi
102
 :echo fi
103
-echo if [ -e /etc/init.d/streamproxy ]; then
104
-echo   rm /etc/init.d/streamproxy ^> /dev/null 2^>^&1
103
+echo if [ -e /etc/init.d/playstreamproxy ]; then
104
+echo   rm /etc/init.d/playstreamproxy ^> /dev/null 2^>^&1
105
 echo fi
105
 echo fi
106
 echo exit 0
106
 echo exit 0
107
 ) >%ipk_dir%CONTROL\preinst
107
 ) >%ipk_dir%CONTROL\preinst
110
 :=== postinst file ===
110
 :=== postinst file ===
111
 (
111
 (
112
 echo #!/bin/sh
112
 echo #!/bin/sh
113
-echo chmod +x /etc/init.d/streamproxy
114
-echo ln -s /etc/init.d/streamproxy /etc/rc4.d/S50streamproxy
115
-echo ln -s /etc/init.d/streamproxy /etc/rc3.d/S50streamproxy
116
-echo ln -s /etc/init.d/streamproxy /usr/bin/streamproxy
113
+echo chmod +x /etc/init.d/playstreamproxy
114
+echo ln -s /etc/init.d/playstreamproxy /etc/rc4.d/S50playstreamproxy
115
+echo ln -s /etc/init.d/playstreamproxy /etc/rc3.d/S50playstreamproxy
116
+echo ln -s /etc/init.d/playstreamproxy /usr/bin/playstreamproxy
117
 echo exit 0
117
 echo exit 0
118
 ) >%ipk_dir%CONTROL\postinst
118
 ) >%ipk_dir%CONTROL\postinst
119
 dos2unix %ipk_dir%CONTROL\postinst
119
 dos2unix %ipk_dir%CONTROL\postinst
121
 :=== postrm file ===
121
 :=== postrm file ===
122
 (
122
 (
123
 echo #!/bin/sh
123
 echo #!/bin/sh
124
-:echo if [ -e /etc/rc4.d/S50streamproxy ]; then
125
-echo   rm /etc/rc4.d/S50streamproxy ^> /dev/null 2^>^&1
124
+:echo if [ -e /etc/rc4.d/S50playstreamproxy ]; then
125
+echo   rm /etc/rc4.d/S50playstreamproxy ^> /dev/null 2^>^&1
126
 :echo fi
126
 :echo fi
127
 echo #!/bin/sh
127
 echo #!/bin/sh
128
-:echo if [ -e /etc/rc3.d/S50streamproxy ]; then
129
-echo   rm /etc/rc3.d/S50streamproxy ^> /dev/null 2^>^&1
128
+:echo if [ -e /etc/rc3.d/S50playstreamproxy ]; then
129
+echo   rm /etc/rc3.d/S50playstreamproxy ^> /dev/null 2^>^&1
130
 :echo fi
130
 :echo fi
131
-:echo if [ -e /usr/bin/streamproxyy ]; then
132
-echo  rm /usr/bin/streamproxy ^> /dev/null 2^>^&1
131
+:echo if [ -e /usr/bin/playstreamproxyy ]; then
132
+echo  rm /usr/bin/playstreamproxy ^> /dev/null 2^>^&1
133
 :echo fi
133
 :echo fi
134
-echo if [ -e /etc/init.d/streamproxy ]; then
135
-echo   rm /etc/init.d/streamproxy ^> /dev/null 2^>^&1
134
+echo if [ -e /etc/init.d/playstreamproxy ]; then
135
+echo   rm /etc/init.d/playstreamproxy ^> /dev/null 2^>^&1
136
 echo fi
136
 echo fi
137
 echo exit 0
137
 echo exit 0
138
 ) >%ipk_dir%CONTROL\postrm
138
 ) >%ipk_dir%CONTROL\postrm

+ 9
- 0
playstreamproxy View File

1
+#!/bin/sh
2
+DAEMON=/usr/lib/enigma2/python/Plugins/Extensions/PlayStream/streamproxy.py 
3
+NAME=streamproxy
4
+DESC="StreamProxy"
5
+
6
+test -f $DAEMON || exit 0
7
+
8
+/usr/bin/python $DAEMON $1
9
+exit 0 

+ 1
- 0
playstreamproxy.bat View File

1
+python streamproxy.py manualstart

streamproxy.py → playstreamproxy.py View File


BIN
release/enigma2-plugin-extensions-playstream_0.5k.ipk View File


+ 2
- 1
sources/filmix.py View File

82
                 sname = "Сериалы"
82
                 sname = "Сериалы"
83
             else:
83
             else:
84
                 sname = "Мультфильмы"
84
                 sname = "Мультфильмы"
85
-            m = re.search('<li><span class="menu-title">%s</span>(.+?)<li><span'%sname, r, re.DOTALL|re.UNICODE)
85
+            # <span class="menu-title">Фильмы</span>
86
+            m = re.search('<span class="menu-title">%s</span>(.+?)<li>\s+?<span'%sname, r, re.DOTALL|re.UNICODE)
86
             if not m: return content
87
             if not m: return content
87
             r2 = m.group(1)
88
             r2 = m.group(1)
88
             result = re.findall(r'<a href="http://filmix\.net/([^"]+)".*?>([^<]+)</a>', r2, re.DOTALL)
89
             result = re.findall(r'<a href="http://filmix\.net/([^"]+)".*?>([^<]+)</a>', r2, re.DOTALL)